% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/client.R
\name{call_endpoint}
\alias{call_endpoint}
\title{Call an API Endpoint}
\usage{
call_endpoint(method, endpoint, params = list(), data = NULL)
}
\arguments{
\item{method}{The HTTP method (e.g., "GET", "POST", "PUT", "DELETE").}

\item{endpoint}{The API endpoint (e.g., `/api/projects`).}

\item{params}{A named list of query parameters (optional).}

\item{data}{A named list or `JSON` object to include in the request body (optional).}
}
\value{
A list containing the API response.
}
\description{
Sends an HTTP request to a specified API endpoint using the stored bearer token for authentication.
}
\examples{
\dontrun{
response <- call_endpoint("GET", "/api/projects")
print(response)
}
}
